;;; 50pariemacs.el -- debian emacs setups for pariemacs.

;; Copyright 2014, 2015, 2016 Kevin Ryde

;; This file is free software; you can redistribute it and/or modify it under
;; the terms of the GNU General Public License as published by the Free
;; Software Foundation; either version 3, or (at your option) any later
;; version.
;;
;; This file is distributed in the hope that it will be useful, but WITHOUT
;; ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
;; FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
;; more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this file.  If not, see <http://www.gnu.org/licenses/>.


(cond
 ((not (file-exists-p "/usr/share/emacs/site-lisp/pariemacs/pari.el"))
  (message "pariemacs removed but not purged, skipping setup"))

 ((not (file-exists-p (concat "/usr/share/"
                              (symbol-name debian-emacs-flavor)
                              "/site-lisp/pariemacs/pari.el")))
  (message "pariemacs not for this emacs, skipping setup"))

 (t
  ;; debian-pkg-add-load-path-item as from debian 3.1 "sarge",
  ;; emacsen-common 1.4.14 of June 2002
  (debian-pkg-add-load-path-item (concat "/usr/share/"
                                         (symbol-name debian-emacs-flavor)
                                         "/site-lisp/pariemacs"))

  ;; Autoloads as recommended by pariemacs README.
  ;; Extension .gp clashes with gnuplot-mode, and since we load after
  ;; 50gnuplot-mode.el our add-to-list overrides.  See notes in
  ;; /usr/share/doc/pariemacs/README.Debian
  ;;
  (autoload 'gp-mode "pari" nil t)
  (autoload 'gp-script-mode "pari" nil t)
  (autoload 'gp "pari" nil t)
  (autoload 'gpman "pari" nil t)
  (add-to-list 'auto-mode-alist '("\\.gp\\'" . gp-script-mode))
  ))

;; ENHANCE-ME: A mode for the gp defaults files could be nice
;;     ~/.gprc
;;     /etc/gprc
;;     /usr/share/doc/pari-gp/misc/gprc.dft
;;
;; They're var=value like conf-mode (when that mode available), except the
;; comment setup would be \\ and there can be some C preprocessor #if bits
;; so bare conf-mode is not quite right.  A couple of lines deriving from it
;; wouldn't be hard.
